import socket

APP_NAME = "finmgr"
APP_VERSION = "1.0"
APP_AUTHORS = [
    "Raine <raine@ixvd.net>"
]


def app_authors_as_string():
    if len(APP_AUTHORS) == 0:
        return "No authors"
    elif len(APP_AUTHORS) == 1:
        return APP_AUTHORS[0]
    else:
        authors = APP_AUTHORS[:-1]
        return ", ".join(authors) + " and " + APP_AUTHORS[-1]


def app_identifier():
    return f"{APP_NAME} {APP_VERSION} by {app_authors_as_string()}"


def unique_app_identifier():
    return f"{app_identifier()} ({socket.gethostname()})"
